<template>
  <div>
    <b-row>
      <b-col>
        <h2>Оборудование</h2>
      </b-col>
      <b-col class="text-right">
        <nuxt-link tag="button" class="btn btn-outline-secondary btn-sm" to="/equipment/new">
          Создать
        </nuxt-link>
      </b-col>
    </b-row>
    <b-list-group>
      <b-list-group-item v-for="item of equipment" :key="item._id">
        <nuxt-link :to="{ path: `/equipment/${item._id}`}">{{ item.title }}</nuxt-link>
      </b-list-group-item>
    </b-list-group>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  head () {
    return {
      title: 'Оборудование'
    }
  },
  async asyncData ({ $config: { baseURL } }) {
    const response = await axios.get(`${baseURL}/equipment`)
    const equipment = response.data
    console.log(equipment)
    return {
      equipment
    }
  }
}
</script>
